Bug 222032 - security/clamav-unofficial-sigs: Update to 5.6.2
Summary: security/clamav-unofficial-sigs: Update to 5.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-03 19:31 UTC by Max Kostikov
Modified: 2018-03-30 11:09 UTC (History)
4 users (show)

See Also:


Attachments
diff to 5.6.2 (8.70 KB, patch)
2017-09-03 19:31 UTC, Max Kostikov
no flags Details | Diff
new diff to 5.6.2 (8.00 KB, patch)
2017-10-06 19:46 UTC, Max Kostikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Kostikov 2017-09-03 19:31:01 UTC
Created attachment 186037 [details]
diff to 5.6.2

Combined diff for new version attached
Comment 1 Dmitry Marakasov freebsd_committer 2017-10-06 16:42:59 UTC
===>  Building for clamav-unofficial-sigs-5.6.2                                                                                                                                                                                                                       
(cd /wrkdirs/usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2 && /usr/local/bin/bash ./clamav-unofficial-sigs.sh -c manpage.conf --install-man)                                                                                            
*** Error code 1                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                      
Stop.                                                                                                                                                                                                                                                                 
make: stopped in /usr/ports/security/clamav-unofficial-sigs                                                                                                                                                                                                           

Also, please don't move USE_GITHUB block - it belongs early, since it relies to fetch/extract phase.
Comment 2 Marko Njezic 2017-10-06 19:01:11 UTC
I'll take a detailed look at the proposed patch as soon as I get some free time.

However, at the first look I've noticed that the patch undoes some of the changes that I did to the default configuration files, which should be preserved.
Comment 3 Marko Njezic 2017-10-06 19:05:25 UTC
Comment on attachment 186037 [details]
diff to 5.6.2

Patch undoes some of the changes to the default configuration files, which should be preserved.
Comment 4 Max Kostikov 2017-10-06 19:39:34 UTC
(In reply to Dmitry Marakasov from comment #1)
Really confused about this error cause in my case all goes smooth as silk.

root@beta:/usr/ports/security/clamav-unofficial-sigs # make install clean
===>  License BSD3CLAUSE accepted by the user
===>   clamav-unofficial-sigs-5.6.2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by clamav-unofficial-sigs-5.6.2 for building
===>  Extracting for clamav-unofficial-sigs-5.6.2
=> SHA256 Checksum OK for extremeshok-clamav-unofficial-sigs-5.6.2_GH0.tar.gz.
===>  Patching for clamav-unofficial-sigs-5.6.2
===>  Applying FreeBSD patches for clamav-unofficial-sigs-5.6.2
===>   clamav-unofficial-sigs-5.6.2 depends on executable: clamscan - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: rsync - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: curl - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: gpg - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: bash - found
===>  Configuring for clamav-unofficial-sigs-5.6.2
===>  Building for clamav-unofficial-sigs-5.6.2
(cd /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2 && /usr/local/bin/bash ./clamav-unofficial-sigs.sh -c manpage.conf --install-man)
################################################################################
 eXtremeSHOK.com ClamAV Unofficial Signature Updater
 Version: v5.6.2 (2017-03-19)
 Required Configuration Version: v72
 Copyright (c) Adrian Jon Kriel :: admin@extremeshok.com
################################################################################
============================
Loading config: manpage.conf
============================
-----------------------------------------------
Notice: GnuPG / signature verification disabled
-----------------------------------------------

Generating man file for install....
Completed: man installed, as file: /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/clamav-unofficial-sigs.8
===>  Staging for clamav-unofficial-sigs-5.6.2
===>   clamav-unofficial-sigs-5.6.2 depends on executable: clamscan - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: rsync - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: curl - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: gpg - found
===>   clamav-unofficial-sigs-5.6.2 depends on executable: bash - found
===>   clamav-unofficial-sigs-5.6.2 depends on package: perl5>=5.26<5.27 - found
===>   Generating temporary packing list
install  -m 555 /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/clamav-unofficial-sigs.sh /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/bin
install  -m 444 /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/clamav-unofficial-sigs.8 /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/man/man8
install  -m 0644 /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/config/master.conf /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/etc/clamav-unofficial-sigs/master.conf.sample
install  -m 0644 /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/config/os.freebsd.conf /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/etc/clamav-unofficial-sigs/os.conf.sample
install  -m 0644 /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2/config/user.conf /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/etc/clamav-unofficial-sigs/user.conf.sample
(cd /usr/ports/security/clamav-unofficial-sigs/work/clamav-unofficial-sigs-5.6.2 && install  -m 0644 INSTALL LICENSE README.md /usr/ports/security/clamav-unofficial-sigs/work/stage/usr/local/share/doc/clamav-unofficial-sigs)
====> Compressing man pages (compress-man)
===>  Installing for clamav-unofficial-sigs-5.6.2
===>  Checking if clamav-unofficial-sigs already installed
===>   Registering installation for clamav-unofficial-sigs-5.6.2
Installing clamav-unofficial-sigs-5.6.2...
**********************************************************************

In order to start using clamav-unofficial-sigs, you need to configure
it first. Sample configuration files have been installed to:

/usr/local/etc/clamav-unofficial-sigs

All user configuration changes should go in file "user.conf". Modify
it according to your needs and when you are done set the value of
"user_configuration_complete" parameter to "yes".

NOTE: Starting with version 5.0.0 configuration has been split into
multiple files, which now reside in:

/usr/local/etc/clamav-unofficial-sigs

If you had previous version installed, you can remove the old
obsolete configuration file:

/usr/local/etc/clamav-unofficial-sigs.conf

To run the script periodically by cron, you also need to add it to
your crontab.

**********************************************************************

===>  Cleaning for clamav-unofficial-sigs-5.6.2
Comment 5 Max Kostikov 2017-10-06 19:41:15 UTC
(In reply to Marko Njezic from comment #2)
Seems removed changes is not necessary.
Comment 6 Max Kostikov 2017-10-06 19:46:50 UTC
Created attachment 186964 [details]
new diff to 5.6.2

with reverted on old place GITHUB section
Comment 7 Marko Njezic 2017-10-06 20:06:26 UTC
Comment on attachment 186964 [details]
new diff to 5.6.2

Patch still undoes some of the changes that I did to the default configuration files. This violates POLA principle.
Comment 8 Max Kostikov 2017-10-06 20:54:57 UTC
(In reply to Marko Njezic from comment #7)
Can you be more concretise your suggetions please?
Or, and probably it will be best solution, can you roll out your own maintainers diff to latest version?
Comment 9 peo 2018-02-28 17:41:58 UTC
No one here?

master.conf is now version 73 at Github, would be really good if the port could be updated.

Thanks!

//per
Comment 10 w.schwarzenfeld freebsd_triage 2018-03-29 00:30:40 UTC
see bug #227057.
Comment 11 commit-hook freebsd_committer 2018-03-30 11:08:47 UTC
A commit references this bug:

Author: pi
Date: Fri Mar 30 11:08:36 UTC 2018
New revision: 465959
URL: https://svnweb.freebsd.org/changeset/ports/465959

Log:
  security/clamav-unofficial-sigs: update 5.3.2 -> 5.6.2

  PR:		227057, 222032
  Submitted by:	Max Kostikov <max@kostikov.co>, Marko Njezic <sf@maxempire.com> (maintainer)
  Relnotes:	https://github.com/extremeshok/clamav-unofficial-sigs

Changes:
  head/security/clamav-unofficial-sigs/Makefile
  head/security/clamav-unofficial-sigs/distinfo
  head/security/clamav-unofficial-sigs/files/manpage.conf
  head/security/clamav-unofficial-sigs/files/patch-clamav-unofficial-sigs.sh
  head/security/clamav-unofficial-sigs/files/patch-config_master.conf
  head/security/clamav-unofficial-sigs/files/patch-config_os.freebsd.conf
Comment 12 Kurt Jaeger freebsd_committer 2018-03-30 11:09:27 UTC
Committed, thanks!